Debian Bug report logs - #616115
iceweasel: Please include DuckDuckGo search plugin

version graph

Package: iceweasel; Maintainer for iceweasel is Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>; Source for iceweasel is src:iceweasel.

Reported by: Didier Raboud <odyx@debian.org>

Date: Wed, 2 Mar 2011 16:15:02 UTC

Severity: wishlist

Found in version iceweasel/4.0~b12-1

Fixed in version iceweasel/6.0-3

Done: Mike Hommey <glandium@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#616115; Package iceweasel. (Wed, 02 Mar 2011 16:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Wed, 02 Mar 2011 16:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iceweasel: Please include DuckDuckGo search plugin
Date: Wed, 02 Mar 2011 17:12:48 +0100
[Message part 1 (text/plain, inline)]
Package: iceweasel
Version: 4.0~b12-1
Severity: wishlist

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Mike, 

as discussed over IRC, here's a .xml file for the DuckDuckGo search plugin.

There are two of these plugins available on the addons* website for Firefox,
which are using the rather new OpenSearch format and embed the DDG icon (which
license is probably not DFSG.

So I decided to start over from a searchplugin currently in iceweasel. I
decided to go for SSL as one of the points of DuckDuckGo is to go "secure" and
"we don't spy you".

Result is attached; I tested it and it worked correctly.

Cheers,

OdyX

<snipped much information out of scope for this bugreport>.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iJwEAQECAAYFAk1ubH4ACgkQKA1Vt+jBwDjO/gQAgGxFWtY8MXQbbxQBW0gvk9P7
zaifT4BnvL0IFByy1vTcZSjJgtRu39kihcZPtjH6QbkKnrqLnNQFLuIhH4WDUH3l
Lp6h6AOdEuG8WPdoYS7O162oC8w/MhonPwIQ/NG0/dLq6vuj2NiQd6ssUOZahqRB
2+1ozzp/ahwTnTk2Pcc=
=bIGn
-----END PGP SIGNATURE-----
[duckduckgo.xml (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#616115; Package iceweasel. (Sat, 16 Apr 2011 03:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Virgil Brummond <uraharakisuke153@gmail.com>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sat, 16 Apr 2011 03:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 616115@bugs.debian.org (full text, mbox):

From: Virgil Brummond <uraharakisuke153@gmail.com>
To: 616115@bugs.debian.org
Subject: Duck Duck Go
Date: Fri, 15 Apr 2011 22:57:47 -0400
I would like to see a the duckduckgo plug-in included as well. I think
that the search engine is a rising star and cares more about security
and privacy than other many other alternatives.





Reply sent to Mike Hommey <glandium@debian.org>:
You have taken responsibility. (Fri, 26 Aug 2011 09:36:55 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Fri, 26 Aug 2011 09:37:00 GMT) Full text and rfc822 format available.

Message #15 received at 616115-close@bugs.debian.org (full text, mbox):

From: Mike Hommey <glandium@debian.org>
To: 616115-close@bugs.debian.org
Subject: Bug#616115: fixed in iceweasel 6.0-3
Date: Fri, 26 Aug 2011 09:35:19 +0000
Source: iceweasel
Source-Version: 6.0-3

We believe that the bug you reported is fixed in the latest version of
iceweasel, which is due to be installed in the Debian FTP archive:

iceweasel-dbg_6.0-3_amd64.deb
  to main/i/iceweasel/iceweasel-dbg_6.0-3_amd64.deb
iceweasel_6.0-3.debian.tar.gz
  to main/i/iceweasel/iceweasel_6.0-3.debian.tar.gz
iceweasel_6.0-3.dsc
  to main/i/iceweasel/iceweasel_6.0-3.dsc
iceweasel_6.0-3_amd64.deb
  to main/i/iceweasel/iceweasel_6.0-3_amd64.deb
libmozjs-dev_6.0-3_amd64.deb
  to main/i/iceweasel/libmozjs-dev_6.0-3_amd64.deb
libmozjs6d-dbg_6.0-3_amd64.deb
  to main/i/iceweasel/libmozjs6d-dbg_6.0-3_amd64.deb
libmozjs6d_6.0-3_amd64.deb
  to main/i/iceweasel/libmozjs6d_6.0-3_amd64.deb
spidermonkey-bin_6.0-3_amd64.deb
  to main/i/iceweasel/spidermonkey-bin_6.0-3_amd64.deb
xulrunner-6.0-dbg_6.0-3_amd64.deb
  to main/i/iceweasel/xulrunner-6.0-dbg_6.0-3_amd64.deb
xulrunner-6.0_6.0-3_amd64.deb
  to main/i/iceweasel/xulrunner-6.0_6.0-3_amd64.deb
xulrunner-dev_6.0-3_amd64.deb
  to main/i/iceweasel/xulrunner-dev_6.0-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 616115@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mike Hommey <glandium@debian.org> (supplier of updated iceweasel package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 26 Aug 2011 09:48:52 +0200
Source: iceweasel
Binary: iceweasel iceweasel-dbg xulrunner-6.0 libmozjs6d libmozjs-dev libmozjs6d-dbg spidermonkey-bin xulrunner-dev xulrunner-6.0-dbg
Architecture: source amd64
Version: 6.0-3
Distribution: unstable
Urgency: low
Maintainer: Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>
Changed-By: Mike Hommey <glandium@debian.org>
Description: 
 iceweasel  - Web browser based on Firefox
 iceweasel-dbg - debugging symbols for iceweasel
 libmozjs-dev - Development files for the Mozilla SpiderMonkey JavaScript library
 libmozjs6d - Mozilla SpiderMonkey JavaScript library
 libmozjs6d-dbg - Development files for the Mozilla SpiderMonkey JavaScript library
 spidermonkey-bin - standalone JavaScript/ECMAScript (ECMA-262) interpreter
 xulrunner-6.0 - XUL + XPCOM application runner
 xulrunner-6.0-dbg - Debugging symbols for the Gecko engine library
 xulrunner-dev - Development files for the Gecko engine library
Closes: 616115 638623 639289
Changes: 
 iceweasel (6.0-3) unstable; urgency=low
 .
   * debian/libmozjs-dev.install: Add more missing headers to libmozjs-dev.
   * debian/rules, debian/xulrunner-GRE_VERSION.install.in: Install
     plugin-container on all architectures. Closes: #639289.
   * debian/extra-stuff/reportbug-helper-script: Avoid listing all debian
     packages in the reportbug helper when no addons are installed.
   * debian/duckduckgo.xml, debian/iceweasel.install: Add DuckDuckGo search
     plugin. Closes: #616115.
 .
   * js/src/jsgcinlines.h, js/src/jsnum.cpp, js/src/jsstr.cpp, js/src/jsstr.h,
     js/src/jsstrinlines.h, js/src/jstracer.cpp, js/src/jstracer.h,
     js/src/tracejit/Writer.cpp: Allow static JS strings to be turned off;
     turn off on ia64. bz#589735.
   * memory/jemalloc/jemalloc.c: Allocate memory with an address with high 17
     bits clear on ia64. bz#589735. This should finally make Iceweasel
     actually work on ia64.
   * js/src/jsval.h, js/src/jsvalue.h: Fix jsval_layout on 64-bit big-endian
     platforms. bz#674522. Closes: #638623.
Checksums-Sha1: 
 eb40d7128f0010a495206de3a913ac116a9c3b9f 2779 iceweasel_6.0-3.dsc
 2f33c07a55ede0bbe59683b95d6a26f004dd16ac 312903 iceweasel_6.0-3.debian.tar.gz
 351ee8c3dbe95551d040f4b4a73f773e4ce1a23d 1592412 iceweasel_6.0-3_amd64.deb
 721ebeaca3139906b645b516b45d7cd48ac53db2 527296 iceweasel-dbg_6.0-3_amd64.deb
 fced20bf0c062defb53b3821a00a576858fa9e91 10153428 xulrunner-6.0_6.0-3_amd64.deb
 3c4a2b9b85609310db6857eaed9dcd07c078ac62 1360298 libmozjs6d_6.0-3_amd64.deb
 8fcb32224b8975b6cfc8f4c82dbd1abb67f3e332 518358 libmozjs-dev_6.0-3_amd64.deb
 7ae14c394d34e4384cb395e4764b4c03bc189971 11613386 libmozjs6d-dbg_6.0-3_amd64.deb
 b495e7bc688d34a62ef62b5b5f96e996caf0c6c0 1356862 spidermonkey-bin_6.0-3_amd64.deb
 5ef03c7e059565925118a84423016e8976ffb762 4545726 xulrunner-dev_6.0-3_amd64.deb
 f37acd4f8dfac591ad7eb68f2fa9abfb05745a2e 124333326 xulrunner-6.0-dbg_6.0-3_amd64.deb
Checksums-Sha256: 
 8b6a3b660825645e3b994f28bb82cce981a094a1d5af7ae8b0c2494186b1496d 2779 iceweasel_6.0-3.dsc
 3cf23202a211c7db4242d3d4b98bad9155d0d565a33f0e6ecde2803e798d015f 312903 iceweasel_6.0-3.debian.tar.gz
 dd008ebbe9d902b2f53d9561d99788ea97e65dfe025e08e7f23ef1527afbe27c 1592412 iceweasel_6.0-3_amd64.deb
 672b952c91d30377a9cab8907f10d58484a68be65c71845877154bf307b5b82a 527296 iceweasel-dbg_6.0-3_amd64.deb
 2af38c171489b0140034b35a043112e4e1d3b6a9fe8c800294828a0ec155f06b 10153428 xulrunner-6.0_6.0-3_amd64.deb
 63b995c9aebf8475dbf062a3d70098c9eee89dfb8e9af975c9e8e1919de981d2 1360298 libmozjs6d_6.0-3_amd64.deb
 c42a0f65413ee0edaba1ef9d8a763ecd7abcabb180a97525d16f90f31b3063f9 518358 libmozjs-dev_6.0-3_amd64.deb
 e6d8b6ff202090ee3fa134b9a44b4991f05dd2e5164b7f1c5ce07ff6185bcc73 11613386 libmozjs6d-dbg_6.0-3_amd64.deb
 38581177cb5747eaffcb15f16edca2235c648e43d62b0a359346b8b2e48d9175 1356862 spidermonkey-bin_6.0-3_amd64.deb
 b48dd4d8d61477dee5220fe9f2e4a327cecee5bbc8662f49e3d3bc6fafaf9a14 4545726 xulrunner-dev_6.0-3_amd64.deb
 a99b6212f7ad22ce12d94b72c8e1b8cbd6aec72200278e7c5a045787850b51f2 124333326 xulrunner-6.0-dbg_6.0-3_amd64.deb
Files: 
 eca26d57ff8e704aa4e59966dd8915a5 2779 web optional iceweasel_6.0-3.dsc
 8214ea8b9dfd827fc39f0749c218d308 312903 web optional iceweasel_6.0-3.debian.tar.gz
 d64422314617ac34df6180364cfc58ce 1592412 web optional iceweasel_6.0-3_amd64.deb
 45647d944e6ba8e08787c17296b6f9ed 527296 debug extra iceweasel-dbg_6.0-3_amd64.deb
 48c8adb186b499ab742f79c39f00b977 10153428 libs optional xulrunner-6.0_6.0-3_amd64.deb
 509091e1a7304ef699fbc1f85475157d 1360298 libs optional libmozjs6d_6.0-3_amd64.deb
 51feb2c18835f16bc0953355b43eadb4 518358 libdevel optional libmozjs-dev_6.0-3_amd64.deb
 e817c8caae88dbad9b0a95a405f26a73 11613386 debug extra libmozjs6d-dbg_6.0-3_amd64.deb
 af458ff6fcdea11199eb82e87c768bc7 1356862 interpreters optional spidermonkey-bin_6.0-3_amd64.deb
 fc74802ee4ee394f40146c2abc743db5 4545726 libdevel optional xulrunner-dev_6.0-3_amd64.deb
 d170817d2686cf4afa6ffded51b0a92e 124333326 debug extra xulrunner-6.0-dbg_6.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTldd9eQqoE+mqoxyAQjXaA/+KKkK1aqofgFfA2TqMEkMgn7S6/kN24Do
UMmvNgHdWpjF2l2zl1LDZerScBvqNWGRLH3qT1P/v++yWEtxQZ42g5l3y6pN2wQS
OP58kFnUku8l1VWlB2bWvnIpYDwKT60MvydF8QX0aQ2Hjm99uCxt4Xzi8J6+iEZt
Lb3L0qIC3FF1flYNtU4yVero6/t4jUwWjyXWy1xzEwtCSBB5CsuAPe5tQixhw/vR
rXUMxHyT8bcwo6vaXxl53HOfDTjSk7UL6evTn9yJc7GzH/HkMK2OTnwOGQmVyrB1
E+PUhTSvH3x1mjCEq8hlDdBuccjPhsSdLoTL2FRAGX4Jg4rrggxF+KhqbteAO3av
RYGvw3fy9rAaGIWJ+9a4+nOzimsPRQHdEZ5EInYXV831cKTeCxYBAu9uIuYN6wgn
Uk48xp6vET+HS2Q7Ce3iVQuJBGljf2fqDT+VMlzD/4kwM/b7ZEb1Eej9yvV1pEz0
W7SDORQqMmAcpEbNh6s8V9kpsdQfVJQS2qde229B4E/riunsGytZ5zk4WVTLWcj6
r7W3Vvw7sP1l/peuPjv+rKMo4wq0hDnbhsISesXNH25lXx8jjn1mJ4LfnOxZPsvq
9Acf/4+cPBgADygrHzVwtEMigg8BFx87RVNqRYQ7vmwjXS3NKbr5npJfyGkNOuaO
/CA8ADw56T8=
=Kn1m
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Sep 2011 07:32:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:15:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.